# This makefile builds tarball distribution for utt dictionary.

#
# Some variables
#
DIR=$(shell pwd)

# Common info about version and release
_UTT_VER=$(shell cat ../../../app/dist/common/version.def)
_UTT_REL=$(shell cat ../../../app/dist/common/release.def)

# Temp vars
_TARBALL_ROOT=$(DIR)/utt-$(_UTT_VER).$(_UTT_REL)
_UTT_DIC_HOME=share/utt
_TAR_FILE_NAME=utt.$(_UTT_VER)_$(_UTT_REL)


#defualt task
.PHONY: default
default:
	@echo Build directory: ${UTT_DIC_BIN}
	@echo Output directory for tarball: ${UTT_DIC_OUTPUT}
	mkdir -p ${_TARBALL_ROOT}/${_UTT_DIC_HOME}
	if [[ -n "${DIC_LANG}" && -d ${UTT_DIC_BIN}/${DIC_LANG} ]]; \
	then \
	    echo "Tworze dystrybucje ${DIC_LANG}"; \
	    mkdir -p ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/${DIC_LANG}; \
	    cp -fr ${UTT_DIC_BIN}/${DIC_LANG}/* ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/${DIC_LANG}/; \
	    cp -fr ${UTT_DIC_CONF_HOME}/${DIC_LANG}/* ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/${DIC_LANG}/; \
	    rm -rf ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/${DIC_LANG}/.svn ; \
	    tar -czf ${UTT_DIC_OUTPUT}/${_TAR_FILE_NAME}.${DIC_LANG}.tar.gz utt*; \
	else \
	    echo "Tworze pelna dystrybucje!"; \
	    cp -fr ${UTT_DIC_BIN}/* ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/; \
	    cp -fr ${UTT_DIC_CONF_HOME}/* ${_TARBALL_ROOT}/${_UTT_DIC_HOME}/; \
	    find ${_TARBALL_ROOT}/${_UTT_DIC_HOME} -type d -path '*/.svn' -exec rm -rf {} \; ; \
	    tar -czf ${UTT_DIC_OUTPUT}/${_TAR_FILE_NAME}.all.tar.gz utt*; \
	fi

	rm -rf ${_TARBALL_ROOT}

